## bitseq 0.7.5+dfsg

=== Makefile ===
CXX = g++
ARCH = -mtune=generic
VERSION = 0.7.5
#	ARCH = -march=core2
#	ARCH = -march=native


# Use O1 for debuiggging so it's not totally slow.
DBGFLAGS = -O1 -ggdb -U_FORTIFY_SOURCE
COFLAGS = $(ARCH) -O2 -pipe
CXXFLAGS = -DBS_VERSION=\"$(VERSION)\" -Wall $(COFLAGS)
# -Wvla does not work with old gcc
# -ffast-math segfaults with old gcc, don't use.
LDFLAGS = -Wl,-gc-sections
BOOSTFLAGS = -I .
OPENMP = -fopenmp -DSUPPORT_OPENMP

PROGRAMS = \
   convertSamples \
   estimateDE \
   estimateExpression \
   estimateHyperPar \
   estimateVBExpression \
   extractSamples \
   getFoldChange \
   getGeneExpression \
   getPPLR \
   getVariance \
   getWithinGeneExpression \
   parseAlignment \
   transposeLargeFile

all: $(PROGRAMS)

COMMON_DEPS = ArgumentParser.o common.o FileHeader.o misc.o MyTimer.o
# PROGRAMS:
convertSamples: convertSamples.cpp $(COMMON_DEPS) TranscriptInfo.o
	$(CXX) $(CXXFLAGS) $(LDFLAGS) convertSamples.cpp $(COMMON_DEPS) TranscriptInfo.o -o convertSamples

estimateDE: estimateDE.cpp $(COMMON_DEPS) PosteriorSamples.o
	$(CXX) $(CXXFLAGS) $(BOOSTFLAGS) $(LDFLAGS) estimateDE.cpp $(COMMON_DEPS) PosteriorSamples.o -o estimateDE

estimateExpression: estimateExpression.cpp $(COMMON_DEPS) CollapsedSampler.o GibbsParameters.o GibbsSampler.o Sampler.o TagAlignments.o TranscriptInfo.o transposeFiles.o
	$(CXX) $(CXXFLAGS) $(BOOSTFLAGS) $(OPENMP) $(LDFLAGS) estimateExpression.cpp $(COMMON_DEPS) CollapsedSampler.o GibbsParameters.o GibbsSampler.o Sampler.o TagAlignments.o TranscriptInfo.o transposeFiles.o -o estimateExpression

estimateHyperPar: estimateHyperPar.cpp $(COMMON_DEPS) lowess.o PosteriorSamples.o TranscriptExpression.o 
	$(CXX) $(CXXFLAGS) $(BOOSTFLAGS) $(LDFLAGS) estimateHyperPar.cpp $(COMMON_DEPS) lowess.o PosteriorSamples.o TranscriptExpression.o -o estimateHyperPar

estimateVBExpression: estimateVBExpression.cpp $(COMMON_DEPS) SimpleSparse.o TagAlignments.o TranscriptInfo.o transposeFiles.o VariationalBayes.o
	$(CXX) $(CXXFLAGS) $(BOOSTFLAGS) $(OPENMP) $(LDFLAGS) estimateVBExpression.cpp $(COMMON_DEPS) SimpleSparse.o TagAlignments.o TranscriptInfo.o transposeFiles.o VariationalBayes.o -o estimateVBExpression

extractSamples: extractSamples.cpp $(COMMON_DEPS) PosteriorSamples.o
	$(CXX) $(CXXFLAGS) $(LDFLAGS) extractSamples.cpp $(COMMON_DEPS) PosteriorSamples.o -o extractSamples

getFoldChange: getFoldChange.cpp $(COMMON_DEPS) PosteriorSamples.o 
	$(CXX) $(CXXFLAGS) $(LDFLAGS) getFoldChange.cpp $(COMMON_DEPS) PosteriorSamples.o -o getFoldChange

getGeneExpression: getGeneExpression.cpp $(COMMON_DEPS) PosteriorSamples.o TranscriptInfo.o
	$(CXX) $(CXXFLAGS) $(LDFLAGS) getGeneExpression.cpp $(COMMON_DEPS) PosteriorSamples.o TranscriptInfo.o -o getGeneExpression

getPPLR: getPPLR.cpp $(COMMON_DEPS) PosteriorSamples.o
	$(CXX) $(CXXFLAGS) $(LDFLAGS) getPPLR.cpp $(COMMON_DEPS) PosteriorSamples.o -o getPPLR

getVariance: getVariance.cpp $(COMMON_DEPS) PosteriorSamples.o
	$(CXX) $(CXXFLAGS) $(LDFLAGS) getVariance.cpp $(COMMON_DEPS) PosteriorSamples.o -o getVariance

getWithinGeneExpression: getWithinGeneExpression.cpp $(COMMON_DEPS) PosteriorSamples.o TranscriptInfo.o
	$(CXX) $(CXXFLAGS) $(LDFLAGS) getWithinGeneExpression.cpp $(COMMON_DEPS) PosteriorSamples.o TranscriptInfo.o -o getWithinGeneExpression

parseAlignment: parseAlignment.cpp $(COMMON_DEPS) ReadDistribution.o samtools/sam.o TranscriptExpression.o TranscriptInfo.o TranscriptSequence.o
	$(CXX) $(CXXFLAGS) $(OPENMP) $(LDFLAGS) -pthread parseAlignment.cpp $(COMMON_DEPS) ReadDistribution.o samtools/*.o TranscriptExpression.o TranscriptInfo.o TranscriptSequence.o -lz -o parseAlignment

transposeLargeFile: transposeLargeFile.cpp $(COMMON_DEPS) transposeFiles.o
	$(CXX) $(CXXFLAGS) $(LDFLAGS) transposeLargeFile.cpp $(COMMON_DEPS) transposeFiles.o -o transposeLargeFile

# LIBRARIES:
ArgumentParser.o: ArgumentParser.cpp ArgumentParser.h
	$(CXX) $(CXXFLAGS) -ffunction-sections -fdata-sections -c ArgumentParser.cpp

CollapsedSampler.o: CollapsedSampler.cpp CollapsedSampler.h GibbsParameters.h Sampler.h
	$(CXX) $(CXXFLAGS) $(BOOSTFLAGS) -c CollapsedSampler.cpp

FileHeader.o: common.h misc.h FileHeader.cpp FileHeader.h
	$(CXX) $(CXXFLAGS) $(BOOSTFLAGS) -ffunction-sections -fdata-sections -c FileHeader.cpp

GibbsSampler.o: GibbsSampler.cpp GibbsSampler.h GibbsParameters.h Sampler.h
	$(CXX) $(CXXFLAGS) $(BOOSTFLAGS) -c GibbsSampler.cpp

misc.o: ArgumentParser.h PosteriorSamples.h misc.cpp misc.h
	$(CXX) $(CXXFLAGS) -ffunction-sections -fdata-sections -c misc.cpp

MyTimer.o: MyTimer.h MyTimer.cpp
	$(CXX) $(CXXFLAGS) -ffunction-sections -fdata-sections -c MyTimer.cpp

PosteriorSamples.o: PosteriorSamples.cpp PosteriorSamples.h FileHeader.h
	$(CXX) $(CXXFLAGS) -ffunction-sections -fdata-sections -c PosteriorSamples.cpp

ReadDistribution.o: ReadDistribution.cpp ReadDistribution.h TranscriptExpression.h TranscriptInfo.h TranscriptSequence.h 
	$(CXX) $(CXXFLAGS) $(OPENMP) -c ReadDistribution.cpp

Sampler.o: Sampler.cpp Sampler.h GibbsParameters.h
	$(CXX) $(CXXFLAGS) $(BOOSTFLAGS) -c Sampler.cpp

SimpleSparse.o: SimpleSparse.cpp SimpleSparse.h
	$(CXX) $(CXXFLAGS) $(OPENMP) -c SimpleSparse.cpp

VariationalBayes.o: VariationalBayes.cpp VariationalBayes.h SimpleSparse.h
	$(CXX) $(CXXFLAGS) $(BOOSTFLAGS) $(OPENMP) -c VariationalBayes.cpp 

common.o: common.cpp common.h
GibbsParameters.o: ArgumentParser.h GibbsParameters.cpp GibbsParameters.h
lowess.o: lowess.cpp lowess.h
TagAlignments.o: TagAlignments.cpp TagAlignments.h
TranscriptExpression.o: TranscriptExpression.cpp TranscriptExpression.h
TranscriptInfo.o: TranscriptInfo.cpp TranscriptInfo.h
TranscriptSequence.o: TranscriptSequence.cpp TranscriptSequence.h
transposeFiles.o: transposeFiles.cpp transposeFiles.h FileHeader.h

# EXTERNAL LIBRARIES:
samtools/sam.o:
	make --directory samtools

# CLEAN:
clean:
	rm *.o $(PROGRAMS)

clean-all:
	rm samtools/*.o *.o $(PROGRAMS)

## bitseq 0.7.5%2Bdfsg

=== debian/control ===
Source: bitseq
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               zlib1g-dev,
               libbam-dev,
               libboost-dev,
               help2man,
               python3,
               python3-numpy
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/med-team/bitseq
Vcs-Git: https://salsa.debian.org/med-team/bitseq.git
Homepage: https://github.com/BitSeq/BitSeq
Rules-Requires-Root: no

Package: bitseq
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         python3,
         python3-numpy
Suggests: samtools
Description: Bayesian Inference of Transcripts from Sequencing Data
 BitSeq is an application for inferring expression levels of individual
 transcripts from sequencing (RNA-Seq) data and estimating differential
 expression (DE) between conditions. An advantage of this approach is the
 ability to account for both technical uncertainty and intrinsic biological
 variance in order to avoid false DE calls. The technical contribution to the
 uncertainty comes both from finite read-depth and the possibly ambiguous
 mapping of reads to multiple transcripts.

## bitseq 0.7.5+dfsg

=== debian/changelog ===
bitseq (0.7.5+dfsg-5build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:34:53 +0100

bitseq (0.7.5+dfsg-5) unstable; urgency=medium

  * Use 2to3 to port scripts to Python3
    Closes: #936209
  * debhelper-compat 12
  * Standards-Version: 4.4.0
  * Trim trailing whitespace.

 -- Andreas Tille <tille@debian.org>  Sun, 01 Sep 2019 07:54:49 +0200

bitseq (0.7.5+dfsg-4) unstable; urgency=medium

  [ Graham Inggs ]
  * Link -lbam before -lz to fix build with -Wl,--as-needed

  [ Andreas Tille ]
  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.2.1
  * Drop useless get-orig-source target

 -- Andreas Tille <tille@debian.org>  Fri, 21 Dec 2018 14:56:23 +0100

bitseq (0.7.5+dfsg-3) unstable; urgency=medium

  * Build-Depends: python-numpy (Thanks for the patch to Chris Lamb
    <lamby@debian.org>)
    Closes: #884677

 -- Andreas Tille <tille@debian.org>  Mon, 18 Dec 2017 12:12:21 +0100

bitseq (0.7.5+dfsg-2) unstable; urgency=medium

  * Drop -mtune=generic from build options
    Closes: #884623
  * Standards-Version: 4.1.2

 -- Andreas Tille <tille@debian.org>  Sun, 17 Dec 2017 21:13:47 +0100

bitseq (0.7.5+dfsg-1) unstable; urgency=medium

  * Initial upload to Debian (Closes: #883322)

 -- Andreas Tille <tille@debian.org>  Sat, 02 Dec 2017 12:41:04 +0100

bitseq (0.4.3-0ubuntu2) precise; urgency=low

  * Initial release.
  * Build against stock libbam (only static just now)
  * Build against stock libboost
  * For now, leave the names of the binaries as-is

 -- Tim Booth <tbooth@ceh.ac.uk>  Mon, 11 Feb 2013 09:59:05 +0000

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,20 @@
 Source: bitseq
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Andreas Tille <tille@debian.org>
+Uploaders: Tim Booth <tbooth@ceh.ac.uk>,
+           Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 12),
                zlib1g-dev,
                libbam-dev,
                libboost-dev,
                help2man,
                python3,
                python3-numpy
-Standards-Version: 4.7.2
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/med-team/bitseq
 Vcs-Git: https://salsa.debian.org/med-team/bitseq.git
 Homepage: https://github.com/BitSeq/BitSeq
-Rules-Requires-Root: no
 
 Package: bitseq
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

include /usr/share/dpkg/default.mk

mandir=$(CURDIR)/debian/$(DEB_SOURCE)/usr/share/man/man1/
bindir=$(CURDIR)/debian/$(DEB_SOURCE)/usr/bin/
debianmedsysdir=/usr/lib/debian-med/bin
debianmeddir=$(CURDIR)/debian/$(DEB_SOURCE)/$(debianmedsysdir)

%:
	dh $@

override_dh_installman:
	# try to create man pages whereever possible
	mkdir -p $(mandir)
	help2man --no-info --name='convert or normalize MCMC expression samples' \
		--version-string="$(DEB_VERSION_UPSTREAM)" --no-discard-stderr \
		$(bindir)/convertSamples > $(mandir)/convertSamples.1
	help2man --no-info --name='this bitseq module estimates differential expression from data sets' \
		--version-string="$(DEB_VERSION_UPSTREAM)" --no-discard-stderr \
		$(bindir)/estimateDE > $(mandir)/estimateDE.1
	help2man --no-info --name='estimate expression given precomputed probabilities of (observed) reads'' alignments' \
		--version-string="$(DEB_VERSION_UPSTREAM)" --no-discard-stderr \
		$(bindir)/estimateExpression > $(mandir)/estimateExpression.1
	help2man --no-info --name='estimate expression dependent hyperparameters for bitseq' \
		--version-string="$(DEB_VERSION_UPSTREAM)" --no-discard-stderr \
		$(bindir)/estimateHyperPar > $(mandir)/estimateHyperPar.1
	help2man --no-info --name='estimate expression given precomputed probabilities of (observed) reads'' alignments' \
		--version-string="$(DEB_VERSION_UPSTREAM)" --no-discard-stderr \
		$(bindir)/estimateVBExpression > $(mandir)/estimateVBExpression.1
	help2man --no-info --name='extract MCMC samples of selected transcripts' \
		--version-string="$(DEB_VERSION_UPSTREAM)" --no-discard-stderr \
		$(bindir)/extractSamples > $(mandir)/extractSamples.1
	help2man --no-info --name='computes log_2 Fold Change from MCMC expression samples' \
		--version-string="$(DEB_VERSION_UPSTREAM)" --no-discard-stderr \
		$(bindir)/getFoldChange > $(mandir)/getFoldChange.1
	help2man --no-info --name='compute expression of whole genes' \
		--version-string="$(DEB_VERSION_UPSTREAM)" --no-discard-stderr \
		$(bindir)/getGeneExpression > $(mandir)/getGeneExpression.1
	help2man --no-info --name='compute PPLR from MCMC expression samples' \
		--version-string="$(DEB_VERSION_UPSTREAM)" --no-discard-stderr \
		$(bindir)/getPPLR > $(mandir)/getPPLR.1
	help2man --no-info --name='estimates variance of MCMC samples' \
		--version-string="$(DEB_VERSION_UPSTREAM)" --no-discard-stderr \
		$(bindir)/getVariance > $(mandir)/getVariance.1
	help2man --no-info --name='compute relative expression of transcripts within genes' \
		--version-string="$(DEB_VERSION_UPSTREAM)" --no-discard-stderr \
		$(bindir)/getWithinGeneExpression > $(mandir)/getWithinGeneExpression.1
	help2man --no-info --name='pre\-compute probabilities of (observed) reads'' alignments' \
		--version-string="$(DEB_VERSION_UPSTREAM)" --no-discard-stderr \
		$(bindir)/parseAlignment > $(mandir)/parseAlignment.1
	help2man --no-info --name='helper for bitseq to transpose files lines and columns' \
		--version-string="$(DEB_VERSION_UPSTREAM)" --no-discard-stderr \
		$(bindir)/transposeLargeFile > $(mandir)/transposeLargeFile.1
	help2man --no-info --name='extracts information about transcripts from reference Fasta file' \
		--version-string="$(DEB_VERSION_UPSTREAM)" --no-discard-stderr \
		$(debianmeddir)/extractTranscriptInfo.py > $(mandir)/extractTranscriptInfo.1
	help2man --no-info --name='generate read counts for each input file' \
		--version-string="$(DEB_VERSION_UPSTREAM)" --no-discard-stderr \
		$(debianmeddir)/getCounts.py > $(mandir)/getCounts.1

override_dh_auto_install:
	find -maxdepth 1 -type f -perm /111 -exec dh_install '{}' /usr/bin ';'
	# Provide scripts with extensions in Debian Med dir and without extension in /usr/bin
	mkdir -p $(debianmeddir)
	rm -f debian/$(DEB_SOURCE)/usr/bin/releaseDo.sh # internal BitSeq file, not intended for users
	mv debian/$(DEB_SOURCE)/usr/bin/*.py debian/$(DEB_SOURCE)/usr/bin/*.sh $(debianmeddir)
	    # parseAlignment.py suggests itself not to be used so do not expose this
	for script in $(debianmeddir)/* ; do \
	    bscript=`basename $${script}` ; \
	    if [ "$${bscript}" = "parseAlignment.py" ] ; then continue ; fi ; \
	    ln -s  $(debianmedsysdir)/$${bscript} $(bindir)/`echo $${bscript} | sed -e 's/\.py$$//' -e 's/\.sh$$//'` ; \
	done

=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,repack,compression=xz" \
 https://github.com/BitSeq/BitSeq/releases .*/archive/v@ANY_VERSION@@ARCHIVE_EXT@

## bitseq 0.7.5+dfsg2

=== debian/changelog ===
bitseq (0.7.5+dfsg2-1) unstable; urgency=medium

  * Team upload

  [ Harish chavre ]
  * created gbp.conf
  * New upstream version 0.7.5+dfsg
  * Add test data and Bowtie alignment outputs for autopkgtest
  * Add README.debian explaining use of precomputed test data in autopkgtest

  [ Étienne Mollier ]
  * d/copyright: include debian-tests-data.
  * d/watch: convert to v5 github template.
  * d/control: drop redundant Rules-Requires-Root: no.

 -- Étienne Mollier <emollier@debian.org>  Tue, 18 Nov 2025 21:48:26 +0100

bitseq (0.7.5+dfsg-7) unstable; urgency=medium

  * Team upload.

  [ Andreas Tille ]
  * Remove Tim Booth <tbooth@ceh.ac.uk> since address is bouncing
    (Thank you for your work on this package, Tim)

  [ Harish Chavre ]
  * Add autopkgtests for bitseq
  * add test for parseAlignment command

  [ Étienne Mollier ]
  * d/patches/*: normalize Last-Update timestamp.
  * d/copyright: refer to LGPL-3 instead of symlink.
  * d/control: declare compliance to standards version 4.7.2.
  * hardening.patch: inject CPPFLAGS too.

 -- Étienne Mollier <emollier@debian.org>  Mon, 02 Jun 2025 23:27:01 +0200

bitseq (0.7.5+dfsg-6) unstable; urgency=medium

  * Fix watchfile to detect new versions on github (routine-update)
  * Standards-Version: 4.6.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Thu, 02 Sep 2021 06:56:19 +0200

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,16 @@
 Source: bitseq
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Tim Booth <tbooth@ceh.ac.uk>,
-           Andreas Tille <tille@debian.org>
+Uploaders: Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                zlib1g-dev,
                libbam-dev,
                libboost-dev,
                help2man,
                python3,
                python3-numpy
-Standards-Version: 4.4.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/med-team/bitseq
 Vcs-Git: https://salsa.debian.org/med-team/bitseq.git
 Homepage: https://github.com/BitSeq/BitSeq

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, bitseq
Restrictions: allow-stderr

=== debian/watch ===
Version: 5

Template: Github
Owner: BitSeq
Project: BitSeq
Compression: xz
Dversionmangle: auto
Repack: yes
Repacksuffix: +dfsg
